summaryrefslogtreecommitdiffstats
path: root/system/un-fonts-core
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-28 17:00:32 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-05-28 23:45:47 +0700
commit91e621c0a65bd35472645f4e67c06e6130531078 (patch)
treed05f7340c4ff4f18c1452c190f2aebf374882ce6 /system/un-fonts-core
parentb6302a54efb01c821fc559d6c432cefc100c550d (diff)
downloadslackbuilds-91e621c0a65bd35472645f4e67c06e6130531078.tar.gz
slackbuilds-91e621c0a65bd35472645f4e67c06e6130531078.tar.xz
system/un-fonts-core: Moved to system category.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/un-fonts-core')
-rw-r--r--system/un-fonts-core/README9
-rw-r--r--system/un-fonts-core/doinst.sh13
-rw-r--r--system/un-fonts-core/slack-desc19
-rw-r--r--system/un-fonts-core/un-fonts-core.SlackBuild65
-rw-r--r--system/un-fonts-core/un-fonts-core.info10
5 files changed, 116 insertions, 0 deletions
diff --git a/system/un-fonts-core/README b/system/un-fonts-core/README
new file mode 100644
index 0000000000..b37194d702
--- /dev/null
+++ b/system/un-fonts-core/README
@@ -0,0 +1,9 @@
+Un-fonts is a set of Korean True Type fonts.
+
+This package contains Core families (9 fonts)
+
+* UnBatang, UnBatangBold: serif
+* UnDotum, UnDotumBold: sans-serif
+* UnGraphic, UnGraphicBold: sans-serif style
+* UnPilgi, UnPilgiBold: script
+* UnGungseo: cursive, brush-stroke
diff --git a/system/un-fonts-core/doinst.sh b/system/un-fonts-core/doinst.sh
new file mode 100644
index 0000000000..f7d24f5ca9
--- /dev/null
+++ b/system/un-fonts-core/doinst.sh
@@ -0,0 +1,13 @@
+# Update mkfontscale and mkfontdir:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+# Update the X font indexes:
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
+
diff --git a/system/un-fonts-core/slack-desc b/system/un-fonts-core/slack-desc
new file mode 100644
index 0000000000..548383fb19
--- /dev/null
+++ b/system/un-fonts-core/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+un-fonts-core: un-fonts-core (Korean TrueType fonts)
+un-fonts-core:
+un-fonts-core: This package contains Core families (9 fonts):
+un-fonts-core:
+un-fonts-core: * UnBatang, UnBatangBold: serif
+un-fonts-core: * UnDotum, UnDotumBold: sans-serif
+un-fonts-core: * UnGraphic, UnGraphicBold: sans-serif style
+un-fonts-core: * UnPilgi, UnPilgiBold: script
+un-fonts-core: * UnGungseo: cursive, brush-stroke
+un-fonts-core:
+un-fonts-core:
diff --git a/system/un-fonts-core/un-fonts-core.SlackBuild b/system/un-fonts-core/un-fonts-core.SlackBuild
new file mode 100644
index 0000000000..3eb07c567d
--- /dev/null
+++ b/system/un-fonts-core/un-fonts-core.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Slackware build script for un-fonts-core
+
+# Copyright 2008 Christophe Nguyen <cnguyenminhtan@free.fr>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=un-fonts-core
+VERSION=1.0
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAME=un-fonts
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAME
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $SRCNAME
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF
+cp -a *.ttf $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/un-fonts-core/un-fonts-core.info b/system/un-fonts-core/un-fonts-core.info
new file mode 100644
index 0000000000..6a97d64ea3
--- /dev/null
+++ b/system/un-fonts-core/un-fonts-core.info
@@ -0,0 +1,10 @@
+PRGNAM="un-fonts-core"
+VERSION="1.0"
+HOMEPAGE="http://kldp.net/projects/unfonts"
+DOWNLOAD="http://kldp.net/frs/download.php/1425/un-fonts-core-1.0.tar.gz"
+MD5SUM="553aacd65143429b82b85d906c4ae90a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Christophe Nguyen"
+EMAIL="cnguyenminhtan@free.fr"